Uploaded image for project: 'Kafka'
  1. Kafka
  2. KAFKA-3721

UpdateMetadataRequest V2 should be in API version 0.10.0-IV1

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 0.10.0.0
    • Component/s: None
    • Labels:
      None

      Description

      When we introduce UpdateMetadataRequest V2 in KAFKA-1215, we did not introduce a new API Version 0.10.0-IV1 but reused 0.10.0-IV0. This causes problem for people who are running off the trunk and using message format 0.10.0.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                becket_qin Jiangjie Qin
                Reporter:
                becket_qin Jiangjie Qin
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: